RemoteFeature.Template (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.RemoteFeature.Template class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class RemoteFeature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojava.bio.seq.StrandedFeature.Template
              org.biojava.bio.seq.RemoteFeature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing interface:
  RemoteFeature

    public static class RemoteFeature.Template

extends StrandedFeature.Template

See Also:
  Serialized Form

Field Summary
`List` | `regions`
`RemoteFeature.Resolver` | `resolver`

Fields inherited from class org.biojava.bio.seq.StrandedFeature.Template
`strand`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`RemoteFeature.Template()`
`RemoteFeature.Template(Feature.Template theTemplate)` Creates a RemoteFeature.Template that has the same values as the template passed in.

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### regions

    public List regions

### resolver

    public RemoteFeature.Resolver resolver

Constructor Detail

### RemoteFeature.Template

    public RemoteFeature.Template()

### RemoteFeature.Template

    public RemoteFeature.Template(Feature.Template theTemplate)

  Creates a RemoteFeature.Template that has the same values as the template passed in. Fields that are in the template passed in but not in RemoteFeature Templates will be silently discarded. Regions is set to an empty list and the resolver is set to null.

  Parameters:
    `theTemplate` - the template for this template.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD